OrdersCarts
Get cart
GET
/v1/carts/{cartId}Get cart. A successful request returns HTTP 200 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
cartId*string
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/carts/7204558912004325301" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"{ "id": "7204558912004325301", "cartNumber": "example", "storeId": "7204558912004325301", "regionId": "7204558912004325301", "customerId": "7204558912004325301", "salesChannelId": "7204558912004325301", "email": "andrea@example.com", "phone": "+51987654321", "firstName": "Andrea", "lastName": "Ramos", "identificationType": "example", "identificationNumber": "example", "entityTaxId": "7204558912004325301", "entityName": "Comercial Lima SAC", "currencyCode": "PEN", "cartStatus": "inProgress", "completedAt": "2026-08-01T15:30:00Z", "shippingAddress": { "address1": "example", "city": "example", "countryCode": "PE", "name": "Example resource", "company": "example", "address2": "example", "province": "example", "postalCode": "example_code" }, "billingAddress": { "address1": "example", "city": "example", "countryCode": "PE", "name": "Example resource", "company": "example", "address2": "example", "province": "example", "postalCode": "example_code" }, "source": "example", "sourceIdentifier": "example", "notes": "Example note.", "tags": [ "example" ], "attribution": { "campaignId": "7204558912004325301", "utmSource": "example", "utmMedium": "example", "utmCampaign": "example", "referralCode": "example_code" }, "instructions": { "giftMessage": "example", "specialInstructions": "example" }, "requestContext": { "createdFrom": "example", "platform": "example", "deviceId": "7204558912004325301", "sessionId": "7204558912004325301", "userAgent": "example", "ipAddress": "example" }, "geolocation": { "countryCode": "PE", "region": "example", "city": "example", "postalCode": "example_code", "latitude": 1, "longitude": 1, "accuracyMeters": 1, "source": "example" }, "externalDataJson": "example", "promotionCodes": [ "example" ], "items": [ { "id": "7204558912004325301", "title": "Example title", "subtitle": "Example title", "thumbnail": "example", "quantity": 1, "productId": "7204558912004325301", "sellerId": "7204558912004325301", "shippingProfileId": "7204558912004325301", "variantId": "7204558912004325301", "unitPrice": 1, "compareAtUnitPrice": 1, "requiresShipping": false, "isDiscountable": false, "isGiftcard": false, "externalItemId": "7204558912004325301", "giftWrapping": false, "giftMessage": "example", "personalizedMessage": "example", "customizationJson": "example", "originalPrice": 1, "priceAdjustmentReason": "Example note.", "bundleItems": [ { "productId": "7204558912004325301", "variantId": "7204558912004325301", "productName": "Example resource", "variantName": "Example resource", "sku": "SKU-001", "brand": "example", "imageUrl": "https://example.com/resource", "quantity": 1 } ], "externalDataJson": "example", "modifiers": [ { "id": "7204558912004325301", "modifierGroupId": "7204558912004325301", "modifierGroupName": "Example resource", "modifierOptionId": "7204558912004325301", "modifierOptionName": "Example resource", "priceDelta": 1 } ], "adjustments": [ { "id": "7204558912004325301", "description": "Example description.", "code": "example_code", "amount": 1, "type": "discount", "isTaxInclusive": false, "integrationId": "7204558912004325301", "promotionId": "7204558912004325301" } ], "taxLines": [ { "id": "7204558912004325301", "description": "Example description.", "code": "example_code", "rate": 1, "integrationId": "7204558912004325301", "taxRateId": "7204558912004325301" } ] } ], "shippingMethods": [ { "id": "7204558912004325301", "name": "Example resource", "description": "Example description.", "amount": 1, "isTaxInclusive": false, "sellerId": "7204558912004325301", "shippingProfileId": "7204558912004325301", "shippingMethodId": "7204558912004325301", "connectionId": "7204558912004325301", "providerName": "Example resource", "trackingCode": "example_code", "estimatedDays": 1, "zoneCode": "example_code", "locationId": "7204558912004325301", "pickupPointId": "7204558912004325301", "scheduledDate": "2026-08-01", "scheduledTime": "09:00:00Z", "data": {}, "adjustments": [ { "id": "7204558912004325301", "description": "Example description.", "code": "example_code", "amount": 1, "isTaxInclusive": false, "integrationId": "7204558912004325301", "promotionId": "7204558912004325301" } ], "taxLines": [ { "id": "7204558912004325301", "description": "Example description.", "code": "example_code", "rate": 1, "integrationId": "7204558912004325301", "taxRateId": "7204558912004325301" } ] } ], "totals": { "items": { "subtotal": 1, "discount": 1, "tax": 1, "warranty": 1, "total": 1 }, "shipping": { "subtotal": 1, "discount": 1, "tax": 1, "total": 1 }, "total": 1 }, "createdOn": "2026-08-01T15:30:00Z", "updatedOn": "2026-08-01T15:30:00Z"}